cryptsetup: bump minimum libcryptsetup version to v2.0.1

System Internals / systemd - Jay Strict [posteo.de] - 1 October 2019 11:34 EDT

libcryptsetup v2.0.1 introduced new API calls, supporting 64 bit wide integers for `keyfile_offset`. This change invokes the new function call, gets rid of the warning that was added in #7689, and removes redundant #ifdefery and constant definitions. See https://gitlab.com/cryptsetup/cryptsetup/issues/359.

Fixes #7677.

d90874b4e2 cryptsetup: bump minimum libcryptsetup version to v2.0.1
meson.build | 8 +-------
src/cryptsetup/cryptsetup.c | 34 +++-------------------------------
src/shared/crypt-util.h | 13 -------------
3 files changed, 4 insertions(+), 51 deletions(-)

Upstream: github.com


  • Share